var clover = new Object();

// JSON: {classes : [{name, id, sl, el,  methods : [{sl, el}, ...]}, ...]}
clover.pageData = {"classes":[{"el":121,"id":2043,"methods":[{"el":61,"sc":5,"sl":55},{"el":66,"sc":5,"sl":63},{"el":74,"sc":5,"sl":68},{"el":97,"sc":5,"sl":76},{"el":108,"sc":5,"sl":102},{"el":119,"sc":5,"sl":110}],"name":"ZeroCopyConsumer","sl":46}]}

// JSON: {test_ID : {"methods": [ID1, ID2, ID3...], "name" : "testXXX() void"}, ...};
clover.testTargets = {"test_48":{"methods":[{"sl":55},{"sl":63},{"sl":68},{"sl":76},{"sl":102},{"sl":110}],"name":"testZeroCopyFallback","pass":true,"statements":[{"sl":56},{"sl":57},{"sl":60},{"sl":65},{"sl":71},{"sl":72},{"sl":73},{"sl":79},{"sl":82},{"sl":83},{"sl":87},{"sl":90},{"sl":91},{"sl":93},{"sl":94},{"sl":95},{"sl":104},{"sl":105},{"sl":106},{"sl":107},{"sl":112}]},"test_72":{"methods":[{"sl":55},{"sl":63},{"sl":68},{"sl":76},{"sl":102},{"sl":110}],"name":"testTwoWayZeroCopy","pass":true,"statements":[{"sl":56},{"sl":57},{"sl":60},{"sl":65},{"sl":71},{"sl":72},{"sl":73},{"sl":79},{"sl":82},{"sl":83},{"sl":84},{"sl":90},{"sl":91},{"sl":93},{"sl":94},{"sl":95},{"sl":104},{"sl":105},{"sl":106},{"sl":107},{"sl":112}]}}

// JSON: { lines : [{tests : [testid1, testid2, testid3, ...]}, ...]};
clover.srcFileLines = [[], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [72, 48], [72, 48], [72, 48], [], [], [72, 48], [], [], [72, 48], [], [72, 48], [], [], [72, 48], [], [], [72, 48], [72, 48], [72, 48], [], [], [72, 48], [], [], [72, 48], [], [], [72, 48], [72, 48], [72], [], [], [48], [], [], [72, 48], [72, 48], [], [72, 48], [72, 48], [72, 48], [], [], [], [], [], [], [72, 48], [], [72, 48], [72, 48], [72, 48], [72, 48], [], [], [72, 48], [], [72, 48], [], [], [], [], [], [], [], [], []]
